//sender

#define BLYNK_TEMPLATE_ID "TMPL4joNsjDGp"
#define BLYNK_TEMPLATE_NAME "Proiect PM"
#define BLYNK_AUTH_TOKEN "8BmO1cU5tCZtQmV2as9hPuIlcsMtzvDf"

/* Comment this out to disable prints and save space */
#define BLYNK_PRINT Serial

#include <ESP8266_Lib.h>
#include <BlynkSimpleShieldEsp8266.h>
#include <Servo.h>


// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "nicolacatalin";
char pass[] = "cataaremere";
Servo servo;




// or Software Serial on Uno, Nano...
#include <SoftwareSerial.h>
SoftwareSerial EspSerial(2, 3);  // RX, TX

// Your ESP8266 baud rate:
#define ESP8266_BAUD 115200

ESP8266 wifi(&EspSerial);

void setup() {
  // Debug console
  servo.attach(8);
  servo.write(0);
  Serial.begin(9600);

  //  Set ESP8266 baud rate
  EspSerial.begin(ESP8266_BAUD);
  delay(10);
  Blynk.begin(BLYNK_AUTH_TOKEN, wifi, ssid, pass, "blynk.cloud", 8080);
}


void loop() {
  Blynk.run();
}

BLYNK_WRITE(V0) {
  int value = param.asInt();
  if (value == 1) {
    Serial.write("play", 4);
    delay(10);
    Serial.write("    ", 4);
  }
  if (value == 0) {
    Serial.write("paus", 4);
    delay(10);
    Serial.write("    ", 4);
  }
}

BLYNK_WRITE(V1) {
  int value = param.asInt();
  char str[5] = "vol";

  sprintf(str, "%s%d", str, value);

  Serial.write(str, 4);
  delay(10);
  Serial.write("    ", 4);
}

BLYNK_WRITE(V2) {
  int value = param.asInt();

  if (value == 1) {
    Serial.write("nexx", 4);
    delay(10);
    Serial.write("    ", 4);
  }
}

BLYNK_WRITE(V3) {
  int value = param.asInt();

  if (value == 1) {
    Serial.write("beac", 4);
    delay(10);
    Serial.write("    ", 4);
  }
}

BLYNK_WRITE(V4) {
  int value = param.asInt();
  servo.write(value*100);
}
